import {Routes, Route, Outlet, Navigate} from "react-router-dom";
import AppToolbar from "./components/UI/AppToolbar/AppToolbar";
import {Container} from "@mui/material";
import { useSelector } from "react-redux";
import Register from "./containers/Register/Register";
import Login from "./containers/Login/Login";


const ProtectedRoute = ({isAllowed, roles, redirectUrl, children}) => {
  const user = useSelector(state => state.users?.user);
  if (!isAllowed && !roles?.includes(user?.role)) {
    return <Navigate to={redirectUrl}/>
  }
  return children || <Outlet/>
}


const App = () => {
  const user = useSelector(state => state.users.user);
  return (
  <>
      <Routes>
          <Route element={<>
              <AppToolbar />
              <main>
                  <Container>
                    <Outlet />
                  </Container>
              </main>
          </>}>
          {/* <Route path={"/admin"} element={
            <ProtectedRoute roles={["admin"]} redirectUrl={"/"}>
              <AdminPanel/>
            </ProtectedRoute>
           } /> */}
            <Route path={"/"} element={<div>Задачи на неделю</div>} />
            <Route path={"/sign-up"} element={
             <ProtectedRoute isAllowed={!user} redirectUrl={"/"}>
            <Register/>
            </ProtectedRoute>
            }/>
            <Route path={"/sign-in"} element={
             <ProtectedRoute isAllowed={!user} redirectUrl={"/"}>
            <Login/>
            </ProtectedRoute>
            }/>
          </Route>
      </Routes>

  </>
)};

export default App;

